Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class AssertionVerifier

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionVerifier

    class AssertionVerifier
    extends Object

Verifies that assertions hold, throwing a PowerAssertionError otherwise. Only meant to be called from code generated by the transformation.

author:
  Peter Niederwieser

Field Summary
`static String` | `VERIFY_METHOD_NAME`

Constructor Summary
`AssertionVerifier()`

Method Summary
`static void` | `verify(Object truthValue, String text, ValueRecorder recorder)` Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### VERIFY_METHOD_NAME

    static final String VERIFY_METHOD_NAME

Constructor Detail

### AssertionVerifier

    AssertionVerifier()

Method Detail

### verify

    public static void verify(Object truthValue, String text, ValueRecorder recorder)

  Verifies that the given value is true according to Groovy truth, throwing a PowerAssertionError with a cleaned-up stacktrace and helpful detail message otherwise.
  param:
    truthValue the value of an assertion's truth expression
  param:
    text the source text of the assertion
  param:
    recorder a ValueRecorder used for rendering failed assertions

Copyright © 2003-2009 The Codehaus. All rights reserved.